# Created by pyp2rpm-3.3.8
%global pypi_name sdnotify
%global pypi_version 0.3.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A pure Python implementation of systemd's service notification protocol (sd_notify)

License:        None
URL:            https://github.com/bb4242/sdnotify
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
systemd Service NotificationThis is a pure Python implementation of the systemd
sd_notify protocol. This protocol can be used to inform systemd about service
start-up completion, watchdog events, and other service status changes. Thus,
this package can be used to write system services in Python that play nicely
with systemd. sdnotify is compatible with both Python 2 and Python 3.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
systemd Service NotificationThis is a pure Python implementation of the systemd
sd_notify protocol. This protocol can be used to inform systemd about service
start-up completion, watchdog events, and other service status changes. Thus,
this package can be used to write system services in Python that play nicely
with systemd. sdnotify is compatible with both Python 2 and Python 3.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Dec 12 2022 Neil Hanlon <neil@rockylinux.org> - 0.3.2-1
- Initial package.
